Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.apache.poi.xslf.usermodel
Class XSLFSheet

    java.lang.Object
      org.apache.poi.xslf.usermodel.XSLFSheet

All Implemented Interfaces:
  org.apache.poi.sl.usermodel.ShapeContainer, org.apache.poi.sl.usermodel.Sheet

Direct Known Subclasses:
  XSLFSlide

    public abstract class XSLFSheet

extends java.lang.Object
implements org.apache.poi.sl.usermodel.Sheet

Method Summary
`void` | `addShape(org.apache.poi.sl.usermodel.Shape shape)`
`org.apache.poi.sl.usermodel.Background` | `getBackground()`
`org.apache.poi.sl.usermodel.MasterSheet` | `getMasterSheet()`
`org.apache.poi.sl.usermodel.Shape[]` | `getShapes()`
`org.apache.poi.sl.usermodel.SlideShow` | `getSlideShow()`
`boolean` | `removeShape(org.apache.poi.sl.usermodel.Shape shape)`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Method Detail

### getBackground

    public org.apache.poi.sl.usermodel.Background getBackground()

  Specified by:
    `getBackground` in interface `org.apache.poi.sl.usermodel.Sheet`

### getMasterSheet

    public org.apache.poi.sl.usermodel.MasterSheet getMasterSheet()

  Specified by:
    `getMasterSheet` in interface `org.apache.poi.sl.usermodel.Sheet`

### getSlideShow

    public org.apache.poi.sl.usermodel.SlideShow getSlideShow()

  Specified by:
    `getSlideShow` in interface `org.apache.poi.sl.usermodel.Sheet`

### addShape

    public void addShape(org.apache.poi.sl.usermodel.Shape shape)

  Specified by:
    `addShape` in interface `org.apache.poi.sl.usermodel.ShapeContainer`

### getShapes

    public org.apache.poi.sl.usermodel.Shape[] getShapes()

  Specified by:
    `getShapes` in interface `org.apache.poi.sl.usermodel.ShapeContainer`

### removeShape

    public boolean removeShape(org.apache.poi.sl.usermodel.Shape shape)

  Specified by:
    `removeShape` in interface `org.apache.poi.sl.usermodel.ShapeContainer`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD